<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('enrollments', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('branch_manager_id');
            $table->string('subscription_type')->nullable();
            $table->string('subscription_fname')->nullable();
            $table->string('subscription_lname')->nullable();
            $table->string('sub_joint_fname')->nullable();
            $table->string('sub_joint_lname')->nullable();
            $table->string('dealing_rep_name')->nullable();
            $table->string('benificiary_fname')->nullable();
            $table->string('benificiary_lname')->nullable();
            $table->string('benificiary_dob')->nullable();
            $table->string('trusted_name')->nullable();
            $table->string('trusted_relationship')->nullable();
            $table->string('trusted_phone')->nullable();
            $table->string('trusted_mail')->nullable();
            $table->enum('edu_saving_grant', ['yes', 'no'])->default('no');
            $table->enum('learning_bond', ['yes', 'no'])->default('no');
            $table->enum('is_branch_review', ['yes','no','approved','pending','cancel'])->default('no');
            $table->enum('is_admin_review', ['yes','no','approved','pending','cancel'])->default('no');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('enrollments');
    }
};
